Loading...
Searching...
No Matches
HttpServer Namespace Reference

the main namespace for the HttpServer module More...

## Classes

class | AbstractAuthenticator
class | AbstractHttpRequestHandler
class | AbstractHttpSocketHandler
class | AbstractHttpSocketHandlerInterface
class | AbstractLogger
class | AbstractStreamRequest
class | AbstractUrlHandler
struct | HttpHandlerConfigInfo
struct | HttpHandlerResponseInfo
class | HttpListener
| this class implements the listeners for the HttpServer class More...
class | HttpListenerInterface
struct | HttpListenerOptionInfo
struct | HttpResponseInfo
class | HttpServer
| The HttpServer class implements a multithreaded HTTP server. More...
struct | HttpServerOptionInfo
| Hash for HttpServer options. More...
class | PermissiveAuthenticator

## Functions

string | get_exception_string (hash< auto > ex)
| returns a multi-line string from the exception hash argument suitable for logging or output on the console More...

## Detailed Description

the main namespace for the HttpServer module

To use this module, use `"%requires HttpServer"` in your code.

See examples/httpserver.q for an example program using this module

All the public symbols in the module are defined in this namespace

## Function Documentation

## get_exception_string()

string HttpServer::get_exception_string | ( | hash< auto > | ex | ) |

returns a multi-line string from the exception hash argument suitable for logging or output on the console

Parameters

  ex | the exception hash to process

Returns
  a multi-line string from the exception hash argument suitable for logging or output on the console

Note
  reexported from the Util module